#
# spec file for package perl-SVN-Notify
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-SVN-Notify
Version:        2.86
Release:        1.2
%define cpan_name SVN-Notify
Summary:        Subversion activity notification
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/SVN-Notify/
Source0:        http://www.cpan.org/authors/id/D/DW/DWHEELER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::Address) >= 1.897
BuildRequires:  perl(Module::Build) >= 0.270100
Requires:       perl(Email::Address) >= 1.897
Recommends:     perl(HTML::Entities)
Recommends:     perl(Net::SMTP::TLS)
Recommends:     perl(Test::Pod) >= 1.41
Recommends:     perl(Test::Pod::Coverage) >= 1.06
Recommends:     perl(Text::Trac) >= 0.10
%{perl_requires}

%description
Subversion activity notification

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Mon Apr  4 2016 coolo@suse.com
- updated to 2.86
  see /usr/share/doc/packages/perl-SVN-Notify/Changes
  2.86
  - Add version to SVN::Notify::SMTP to make PAUSE happy.
  2.85  2016-03-29T23:29:11Z
  - Fixed a typo, thanks to gregor herrmann of the Debian project.
  - Eliminated "Unescaped left brace in regex is deprecated" warnings on
    Perl 5.21.
  - Fixed test failures triggered by an improvement to the encoding of
    headers by the Encode module. Thanks to Pali for the fix!
  - Improved the encoding of the "From", "To", and "Reply-To" headers so
    that only the phrase part is encoded, not the address itself. Thanks
    to Pali for the corrections.
  - Now require Email::Address to handle the proper parsing of addresses
    for encoding into headers.
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.84
  see /usr/share/doc/packages/perl-SVN-Notify/Changes
  2.84  2013-08-13T14:25:21Z
  - Added `--smtp-tls` to the output of `man svnnotify`.
  - Removed `--smtp-authtype` from the output of `man svnnotify`.
  - Added `--diff-content-type` option. Defaults to "text/plain" for
    backward compatibility. Patch by Daniel P. Wright.
  - Renamed `Filter.pm` to `Filter.pod`, since it's just documentation.
  - Removed the pod tests from the distribution.
  - Changed the CSS for message `<pre>` blocks to use `white-space:
    pre-line`, so that long lines will be wrapped, but newlines are still
    respected as usual. Thanks to Dave Abrahams for the patch (and the
    persistence).
  - Changed C<to_regex_map> to allow it to match any path in the
    repository, including files, rather than just directories. Patch from
    mscherer.
  - Fixed error when the first line of the commit message is less than 10
    characters long (issue #2).
  - Fixed the "From" and "To" headers so that they are properly encoded as
    MIME headers (issue #6).
  - Removed the Makefile.PL, which was just passing through to
    Module::Build. That pattern is now deprecated, and Module::Build is
    required for configuration.
* Thu Nov  3 2011 pascal.bleser@opensuse.org
- update to 2.83:
  * added the `smtp_port` parameter and accompanying `--smtp-port` option
  * switched from Net::SMTP and Net::SMTP_auth to Net::SMTP::TLS, which handles
    TLS and non TLS and auth and non-auth in any combintation
  * added `--smtp-tls` option to enable TLS
  * deprecated `--smtp-authtype`, which is now a no-op: Net::SMTP::TLS
    determins the auth type to use by asking the SMTP server
* Sat Feb 19 2011 pascal.bleser@opensuse.org
- update to 2.81:
  * removed deprecated use of `qw(...)` as parentheses
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jun 15 2010 pascal.bleser@opensuse.org
- initial package (2.80)
